package gov.va.vinci.dart.db;

import java.util.List;

import gov.va.vinci.dart.biz.RequestAdminParticipantDocument;

public interface RequestAdminParticipantDocumentDAO {

	void save(RequestAdminParticipantDocument document);
	void delete(RequestAdminParticipantDocument document);
	List<RequestAdminParticipantDocument> listByDocumentId(final int documentId);
	List<RequestAdminParticipantDocument> listByRequestId(final int requestId);
	List<RequestAdminParticipantDocument> listByRequestIdAndGroupId(final int requestId, final int groupId);
}
